# ------------------------------------------------------------------------------
# Copyright (c) Microsoft
# Licensed under the MIT License.
# Written by Zhipeng Zhang (zhangzhipeng2017@ia.ac.cn)
# ------------------------------------------------------------------------------

import torch
import torch.nn as nn
from .modules import  Bottleneck, ResNet_plus2

eps = 1e-5
# ---------------------
# RPN++
# ---------------------
class ResNet50(nn.Module):
    """
    RPN++ model
    """
    def __init__(self, used_layers=[2, 3, 4]):
        super(ResNet50, self).__init__()
        self.features = ResNet_plus2(Bottleneck, [3, 4, 6, 3], used_layers=used_layers)
        # self.unfix(0.0)

    def forward(self, x):
        x_stages, x = self.features(x)
        return x_stages, x


